Bug 593404 - multiple simultaneous runs of rtctl
Summary: multiple simultaneous runs of rtctl
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-utilities   
(Show other bugs)
Version: 1.2
Hardware: All Linux
low
medium
Target Milestone: ---
: ---
Assignee: Clark Williams
QA Contact: David Sommerseth
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-18 18:07 UTC by Clark Williams
Modified: 2016-05-22 23:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-09 22:12:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Clark Williams 2010-05-18 18:07:07 UTC
Description of problem:
rtctl init script allows multiple simultaneous execution instances

Version-Release number of selected component (if applicable):
rtctl-1.7-1.el5rt.noarch

How reproducible:
always

Additional info:

rtctl is invoked via a udev rule which looks for the SYSFS{irq} attribute. After a suspend/resume or a modpobe -r /modprobe of a multi-irq device driver, multiple invocations of the rtctl service start script may be run.

Comment 1 Clark Williams 2010-05-18 18:08:07 UTC
v1.8 of rtctl adds a lockfile to the service script to prevent more than one instance running at a time.


Note You need to log in before you can comment on or make changes to this bug.